API
Data API
Manufacturers
Methods allow you to get a list of portal manufacturers or information on a specific manufacturer.

Return a list of manufacturers.
Request example
GET /manufacturers
GET
https://instance_name/api/data/v1.0/manufacturers/
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
Body Parameters
- limitIntegerDescriptionThe number of results to return per page.
- offsetIntegerDescriptionThe initial index from which to return the results.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/manufacturers/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"count":75,
"next":"https://test.eyrene.com/api/data/v1.0/manufacturers/?limit=30&offset=30",
"previous":null,
"results":[
{
"id":15,
"name":"L'OREAL"
},
{
"id":17,
"name":"Matrix"
},
{
"id":18,
"name":"Rusholts"
},
{
"id":19,
"name":"PepsiCo"
},
{
"id":21,
"name":"Henkel"
},
{
"id":22,
"name":"NESTLE"
},
{
"id":25,
"name":"HEINZ"
},
{
"id":27,
"name":"MD"
}"..."
]
}Response parameters​

count integer
The number of manufacturers.

next string (uri) Nullable
Next page.

previous string (uri) Nullable
Previous page.

results array of objects
An array of objects with information about manufacturers.
- id integer Manufacturer ID.
- name string [ 1 .. 255 ] characters Manufacturer name.



Returns information about manufacturer by ID.
Request example
GET /manufacturers/{id}
GET
https://instance_name/api/data/v1.0/manufacturers/{id}
Path Parameters
- idstringrequiredDescriptionManufacturer ID.
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/manufacturers/17/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’200
{
"id":17,
"name":"Matrix"
}Response parameters

id integer
Manufacturer ID.

name string [ 1 .. 255 ] characters
Manufacturer name.